summaryrefslogtreecommitdiff
path: root/net-im/prosody/files
diff options
context:
space:
mode:
authorRené 'Necoro' Neumann <necoro@necoro.net>2011-03-27 04:19:43 +0200
committerRené 'Necoro' Neumann <necoro@necoro.net>2011-03-27 04:19:43 +0200
commita4c3777bc5014d9a47514b1862acfc6c0e9a71a8 (patch)
tree0ffbcde8529195211b8dc9bc917577e5c97e6220 /net-im/prosody/files
parent9b040ab80a935f22d5ce943f139f92b51c368cf7 (diff)
downloadoverlay-a4c3777bc5014d9a47514b1862acfc6c0e9a71a8.tar.gz
overlay-a4c3777bc5014d9a47514b1862acfc6c0e9a71a8.tar.bz2
overlay-a4c3777bc5014d9a47514b1862acfc6c0e9a71a8.zip
Fix ld-bug in prosody
Diffstat (limited to 'net-im/prosody/files')
-rw-r--r--net-im/prosody/files/prosody-0.6.2-cfg.lua.patch17
-rw-r--r--net-im/prosody/files/prosody-0.7.0-cfg.lua.patch39
-rw-r--r--net-im/prosody/files/prosody.initd46
3 files changed, 102 insertions, 0 deletions
diff --git a/net-im/prosody/files/prosody-0.6.2-cfg.lua.patch b/net-im/prosody/files/prosody-0.6.2-cfg.lua.patch
new file mode 100644
index 0000000..338daef
--- /dev/null
+++ b/net-im/prosody/files/prosody-0.6.2-cfg.lua.patch
@@ -0,0 +1,17 @@
+--- prosody.cfg.lua.old 2010-05-27 11:10:45.000000000 +0200
++++ prosody.cfg.lua.dist 2010-05-27 11:12:21.000000000 +0200
+@@ -16,6 +16,14 @@
+ -- Settings in this section apply to the whole server and are the default settings
+ -- for any virtual hosts
+
++prosody_user = "jabber"
++prosody_group = "jabber"
++pidfile = "/var/run/jabber/prosody.pid"
++
++log = "/var/log/jabber/prosody.log"
++-- Requires mod_posix to be loaded
++-- log = "*syslog"
++
+ -- This is a (by default, empty) list of accounts that are admins
+ -- for the server. Note that you must create the accounts separately
+ -- (see http://prosody.im/doc/creating_accounts for info)
diff --git a/net-im/prosody/files/prosody-0.7.0-cfg.lua.patch b/net-im/prosody/files/prosody-0.7.0-cfg.lua.patch
new file mode 100644
index 0000000..68423f4
--- /dev/null
+++ b/net-im/prosody/files/prosody-0.7.0-cfg.lua.patch
@@ -0,0 +1,39 @@
+--- prosody.cfg.lua.old 2010-06-13 02:23:02.000000000 +0200
++++ prosody.cfg.lua.dist 2010-06-18 10:45:40.165045845 +0200
+@@ -16,6 +16,10 @@
+ -- Settings in this section apply to the whole server and are the default settings
+ -- for any virtual hosts
+
++prosody_user = "jabber"
++prosody_group = "jabber"
++pidfile = "/var/run/jabber/prosody.pid"
++
+ -- This is a (by default, empty) list of accounts that are admins
+ -- for the server. Note that you must create the accounts separately
+ -- (see http://prosody.im/doc/creating_accounts for info)
+@@ -26,6 +30,14 @@
+ -- For more information see: http://prosody.im/doc/libevent
+ --use_libevent = true;
+
++-- Enable the Cyrus SASL backend for authentication against different backends,
++-- such as PAM, LDAP, SQL and more.
++-- It also allows the use of GSSAPI for single-sign-on services.
++-- For more information see: http://prosody.im/doc/cyrus_sasl
++--sasl_backend = "cyrus"
++-- Optional, defaults to "xmpp"
++--cyrus_service_name = "xmpp"
++
+ -- This is the list of modules Prosody will load on startup.
+ -- It looks for mod_modulename.lua in the plugins folder, so make sure that exists too.
+ -- Documentation on modules can be found at: http://prosody.im/doc/modules
+@@ -90,7 +102,9 @@
+
+ -- Logging configuration
+ -- For advanced logging see http://prosody.im/doc/logging
+-log = "prosody.log";
++log = "/var/log/jabber/prosody.log"
++-- Requires mod_posix to be loaded
++-- log = "*syslog"
+ debug = false; -- Log debug messages?
+
+ ----------- Virtual hosts -----------
diff --git a/net-im/prosody/files/prosody.initd b/net-im/prosody/files/prosody.initd
new file mode 100644
index 0000000..02a1fdc
--- /dev/null
+++ b/net-im/prosody/files/prosody.initd
@@ -0,0 +1,46 @@
+#!/sbin/runscript
+# Copyright 1999-2004 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/net-im/prosody/files/prosody.initd,v 1.1 2010/05/27 11:47:12 djc Exp $
+
+description="Prosody is a server for Jabber/XMPP written in Lua."
+description_reload="Reload configuration and reopen log files."
+extra_started_commands="reload"
+
+PIDFILE="/var/run/jabber/prosody.pid"
+USER="jabber"
+COMMAND="/usr/bin/prosody"
+
+depend() {
+ use dns
+ need net
+ provide jabber-server
+}
+
+checkconfig() {
+ if [ ! -e /etc/jabber/prosody.cfg.lua ] ; then
+ eerror "You need a /etc/jabber/prosody.cfg.lua file to run prosody"
+ return 1
+ fi
+}
+
+start() {
+ checkconfig || return 1
+ ebegin "Starting Prosody XMPP Server"
+ start-stop-daemon --start -b --pidfile ${PIDFILE} \
+ --make-pidfile --user ${USER} --exec ${COMMAND}
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping Prosody XMPP Server"
+ start-stop-daemon --stop --pidfile ${PIDFILE} \
+ --user ${USER} --exec ${COMMAND}
+ eend $?
+}
+
+reload() {
+ ebegin "Reloading configuration of Prosody XMPP Server"
+ start-stop-daemon --pidfile ${PIDFILE} --signal HUP
+ eend $?
+}